- Qt 6.8
- Qt Help
- C++ Classes
- QHelpContentWidget
- Qt 6.8.0 Reference Documentation

# QHelpContentWidget Class

The QHelpContentWidget class provides a tree view for displaying help content model items. More...

Header: | #include <QHelpContentWidget>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Help) target_link_libraries(mytarget PRIVATE Qt6::Help)
qmake: | QT += help
Inherits: | QTreeView

- List of all members, including inherited members

## Public Functions

QModelIndex | indexOf(const QUrl &link)

## Signals

void | linkActivated(const QUrl &link)

## Detailed Description

## Member Function Documentation

### QModelIndex QHelpContentWidget::indexOf(const QUrl &link)

Returns the index of the content item with the link. An invalid index is returned if no such an item exists.

### `[signal]` void QHelpContentWidget::linkActivated(const QUrl &link)

This signal is emitted when a content item is activated and its associated link should be shown.